This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 51897 - threads-max has been lowered from 4000 -> 1024 as default
threads-max has been lowered from 4000 -> 1024 as default
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-16 12:52 EDT by Knut J BJuland
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-03 15:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2001-08-16 12:52:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-2 i686)

Description of problem:
Thdread-max has been lower as default to 1024, when it was 4024 with other
kernels

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. reboot machine
2.
3.
	

Actual Results:  threads-max is lower than before

Additional info:

I can echo 4024 > thread-max
Comment 1 Arjan van de Ven 2001-08-16 13:01:17 EDT
The default max threads value depends on the amount of memory actually.
The kernel uses the formula:

max_threads = mempages / (THREAD_SIZE/PAGE_SIZE) / 16;

which _should_ provide a reasonable default for your system.
Documenting this default change might be the best thing to do.

Note You need to log in before you can comment on or make changes to this bug.